#pragma once

#include <Thread.h>

#include "TickQueue.h"

class TickWorker : public Framework::Thread
{
private:
    TickQueue* queue;
    bool waiting;

public:
    TickWorker(TickQueue* queue);
    ~TickWorker();

    void thread() override;
    bool isWaiting() const;
};